import { post } from '@/utils/request';
import type {
  ProfitStatisticsInput,
  ProfitStatisticsOutput,
  TokenStatisticsInput,
  TokenStatisticsOutput,
} from './types';

// 获取利润统计数据
export function getProfitStatistics(data: ProfitStatisticsInput) {
  return post<ProfitStatisticsOutput>('/system-statistics/profit', data).json();
}

// 获取指定日期各模型Token统计
export function getTokenStatistics(data: TokenStatisticsInput) {
  return post<TokenStatisticsOutput>('/system-statistics/token', data).json();
}
